Package ghidra.app.cmd.function

# Class FunctionPurgeAnalysisCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand
ghidra.app.cmd.function.FunctionPurgeAnalysisCmd

All Implemented Interfaces:
  `Command`

public class FunctionPurgeAnalysisCmd extends BackgroundCommand
Command for analyzing the Stack; the command is run in the background.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionPurgeAnalysisCmd(AddressSetView entries)`
  Constructs a new command for analyzing the Stack.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionPurgeAnalysisCmd

    public FunctionPurgeAnalysisCmd(AddressSetView entries)
    Constructs a new command for analyzing the Stack.
    Parameters:
      `entries` - and address set indicating the entry points of functions that have stacks to be analyzed.

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand`
    Parameters:
      `obj` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully
    See Also:
      - `BackgroundCommand.applyTo(ghidra.framework.model.DomainObject, ghidra.util.task.TaskMonitor)`